require "util"
require "story"
require "defines"

game.onevent(defines.events.onplayercreated, function(event)
	local player = game.getplayer(event.playerindex)
	
	player.force.manualcraftingspeedmodifier = -1
	
	player.clearitemsinside()
	
	player.gui.top.add{name= "start", type = "label", caption = "Start"}
	local button = player.gui.top.add{name = "solar", type = "button", caption = "Solar [Hard]"}
	local button = player.gui.top.add{name = "steam", type = "button", caption = "Steam [Easy]"}
end)

game.onevent(defines.events.onguiclick, function(event)
	local click = event.element
	local player_local = game.getplayer(event.playerindex)

	if click.name == "solar" and click.caption == "Solar [Hard]" then
		for playerIndex, player in pairs(game.players) do
			if player.gui.top.solar then
				player.gui.top.solar.destroy()
				player.gui.top.steam.destroy()
				player.gui.top.start.destroy()
				
				player.print("Player: "..player_local.name.." picked solar!")
				
				player_local.insert({name = "assembling-machine-3", count = 1})
				player_local.insert({name = "small-electric-pole", count = 1})
				player_local.insert({name = "iron-plate", count = 4})
				
				player_local.insert({name = "solar-panel", count = 1})
			end
		end
	elseif click.name == "steam" and click.caption == "Steam [Easy]" then
		for playerIndex, player in pairs(game.players) do
			if player.gui.top.steam then
				player.gui.top.steam.destroy()
				player.gui.top.solar.destroy()
				player.gui.top.start.destroy()
				
				player.print("Player: "..player_local.name.." picked steam!")
				
				player_local.insert({name = "assembling-machine-3", count = 1})
				player_local.insert({name = "small-electric-pole", count = 1})
				player_local.insert({name = "iron-plate", count = 4})
				
				player_local.insert({name = "offshore-pump", count = 1})
				player_local.insert({name = "boiler", count = 1})
				player_local.insert({name = "steam-engine", count = 1})
			end
		end
	end
end)